POSTapi.synup.com/api/v4/locations/activate
Activate archived locations
Use this API to reactivate one or more previously archived locations, allowing them to be updated and managed again.
Requires an API key. Send it as
Authorization: API <your-key> — see Getting started.Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
Content-Type | string | required |
Body
| Name | Type | Required | Description |
|---|---|---|---|
input | object | optional | |
input.locationIds | array of string | required | Array of location Node IDs to activate |
Request
Request
curl -X POST 'https://api.synup.com/api/v4/locations/activate' \
-H 'Authorization: API YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"input": {
"locationIds": [
"TG9jYXRpb246MTE3MTM4OQ=="
]
}
}'const res = await fetch('https://api.synup.com/api/v4/locations/activate', {
method: 'POST',
headers: {
Authorization: 'API YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"input": {
"locationIds": [
"TG9jYXRpb246MTE3MTM4OQ=="
]
}
}),
});
const data = await res.json();import requests
res = requests.post(
"https://api.synup.com/api/v4/locations/activate",
headers={
"Authorization": "API YOUR_API_KEY",
"Content-Type": "application/json",
},
json={
"input": {
"locationIds": [
"TG9jYXRpb246MTE3MTM4OQ=="
]
}
},
)
data = res.json()req, _ := http.NewRequest("POST", "https://api.synup.com/api/v4/locations/activate", bytes.NewBufferString(payload))
req.Header.Set("Authorization", "API YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)Responses
| Status | Description |
|---|---|
200 | Locations activated successfully |
400 | Bad request - invalid input |
401 | Unauthorized - invalid or missing API key |
403 | Forbidden - insufficient permissions |
Example response
{
"data": {
"activateLocations": {
"bulkEditTaskId": null,
"clientMutationId": null,
"errors": null,
"result": [
{
"errors": null,
"locationId": "TG9jYXRpb246MTE3MTM4OQ==",
"status": "ACTIVE",
"success": true
}
],
"success": null
}
}
}Response body
| Name | Type | Required | Description |
|---|---|---|---|
data | object | optional | |
data.activateLocations | object | optional | |
data.activateLocations.bulkEditTaskId | string | optional | ID of bulk edit task if multiple locations are being activated |
data.activateLocations.clientMutationId | string | optional | |
data.activateLocations.errors | array of string | optional | |
data.activateLocations.result | array of object | optional | |
data.activateLocations.result[].errors | array of string | optional | |
data.activateLocations.result[].locationId | string | optional | Node ID of the location |
data.activateLocations.result[].status | string | optional | Final status of the activation operationACTIVE |
data.activateLocations.result[].success | boolean | optional | Whether the operation was successful |
data.activateLocations.success | boolean | optional |